Create a case

Creates a new case

You have the option to add companies and people at the point of case creation or at a later stage.

When adding companies at the point of case creation, you can retrieve company registration data by setting registry_search to true, and ensuring that company_name, company_number, and jurisdiction_code are not empty. If the company registration data cannot be found, the case is created with the provided company details. If the company registration data is found, the status, number_of_officers, and number_of_owners are updated to reflect the registry data.

Additionally, you can choose to add all the company's (human) officers to the case by setting add_directors to true. Note that this flag is applicable only when registry_search is set to true.

Body Params
string
required
length ≥ 1

Name of the case

string
enum
required

The type of case

Allowed:
string | null
enum

The stage of the case, this defaults to New

Allowed:
string | null

Your external reference for the case

string | null

Your external reference for the ID of the customer the case belongs to

string | null

Your external reference for the name of the customer the case belongs to

string | null
deprecated

The current owner of the case

ownership
array of objects | null

The list of owner model of the case

ownership
string | null

The description of the case

string | null

The source of the case creation, this defaults to API

companies
array of objects | null

The list of companies to add to the case

companies
persons
array of objects | null

The list of people to add to the case

persons
Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json